'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class ShippingRate extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here
    }
  }
  ShippingRate.init({
    zoneId: DataTypes.INTEGER,
    name: DataTypes.STRING,
    minWeight: DataTypes.DECIMAL,
    maxWeight: DataTypes.DECIMAL,
    rate: DataTypes.DECIMAL,
    estimatedDays: DataTypes.INTEGER
  }, {
    sequelize,
    modelName: 'ShippingRate',
  });
  return ShippingRate;
};